class Title
    attr_accessor :selected

    def update args
        @selected ||= 0

        @selected += 1 if args.inputs.keyboard.key_down.down && selected < 1
        @selected -= 1 if args.inputs.keyboard.key_down.up && selected > 0

        if (args.inputs.keyboard.key_down.enter || args.inputs.keyboard.key_down.x || args.inputs.keyboard.key_down.space)
            if (@selected == 0)
                args.state.gameState = GAME_STATE[:map]
                args.state.chat.showMessage(args, ["There you are! Can't believe you", "are late for the White Whale event!", "Let's get on it before everyone and", "their mother wants to get in on this!"], "xC0rs41rx")
            end
            exit() if (@selected == 1)
        end

        exit() if args.inputs.keyboard.key_down.escape
    end

    def draw args
        args.nokia.labels << {
            x: 1,
            y: NOKIA_HEIGHT,
            text: "EVNTIDE",
            size_enum: NOKIA_FONT_ARK_LG,
            font: NOKIA_FONT_ARK_PATH
        }
        
        args.nokia.labels << {
            x: 25,
            y: NOKIA_HEIGHT - 14,
            text: "ONLINE",
            size_enum: NOKIA_FONT_8BIT_SM,
            font: NOKIA_FONT_8BIT_PATH
        }

        args.nokia.sprites << {
            x: 2,
            y: 22,
            w: 80,
            h: 13,
            path: "sprites/logo.png"
        }

        drawOption(args, 11, "login", @selected == 0)
        drawOption(args, 1, "quit", @selected == 1)
    end
end